Index: cpukit/librpc/include/rpc/auth_unix.h
===================================================================
--- cpukit/librpc/include/rpc/auth_unix.h	(revision 5fd92cccfde78485c87108cf7f23f3f9a097e209)
+++ cpukit/librpc/include/rpc/auth_unix.h	(revision 9f4040a13b1849539679f71183c4118f015b6412)
@@ -70,5 +70,5 @@
 
 __BEGIN_DECLS
-extern bool_t xdr_authunix_parms __P((XDR *, struct authunix_parms *));
+extern bool_t xdr_authunix_parms(XDR *, struct authunix_parms *);
 __END_DECLS
 
Index: cpukit/librpc/include/rpc/pmap_clnt.h
===================================================================
--- cpukit/librpc/include/rpc/pmap_clnt.h	(revision 5fd92cccfde78485c87108cf7f23f3f9a097e209)
+++ cpukit/librpc/include/rpc/pmap_clnt.h	(revision 9f4040a13b1849539679f71183c4118f015b6412)
@@ -66,19 +66,19 @@
 
 __BEGIN_DECLS
-extern bool_t		pmap_set	__P((u_long, u_long, int, int));
-extern bool_t		pmap_unset	__P((u_long, u_long));
-extern struct pmaplist	*pmap_getmaps	__P((struct sockaddr_in *));
-extern enum clnt_stat	pmap_rmtcall	__P((struct sockaddr_in *,
+extern bool_t		pmap_set	(u_long, u_long, int, int));
+extern bool_t		pmap_unset	(u_long, u_long);
+extern struct pmaplist	*pmap_getmaps	(struct sockaddr_in *);
+extern enum clnt_stat	pmap_rmtcall	(struct sockaddr_in *,
 					     u_long, u_long, u_long,
 					     xdrproc_t, caddr_t,
 					     xdrproc_t, caddr_t,
-					     struct timeval, u_long *));
-extern enum clnt_stat	clnt_broadcast	__P((u_long, u_long, u_long,
+					     struct timeval, u_long *);
+extern enum clnt_stat	clnt_broadcast	(u_long, u_long, u_long,
 					     xdrproc_t, char *,
 					     xdrproc_t, char *,
-					     bool_t (*) __P((caddr_t,
-						 struct sockaddr_in *))));
-extern u_short		pmap_getport	__P((struct sockaddr_in *,
-					     u_long, u_long, u_int));
+					     bool_t (*) (caddr_t,
+						 struct sockaddr_in *));
+extern u_short		pmap_getport	(struct sockaddr_in *,
+					     u_long, u_long, u_int);
 __END_DECLS
 
Index: cpukit/librpc/include/rpc/pmap_prot.h
===================================================================
--- cpukit/librpc/include/rpc/pmap_prot.h	(revision 5fd92cccfde78485c87108cf7f23f3f9a097e209)
+++ cpukit/librpc/include/rpc/pmap_prot.h	(revision 9f4040a13b1849539679f71183c4118f015b6412)
@@ -98,6 +98,6 @@
 
 __BEGIN_DECLS
-extern bool_t xdr_pmap		__P((XDR *, struct pmap *));
-extern bool_t xdr_pmaplist	__P((XDR *, struct pmaplist **));
+extern bool_t xdr_pmap		(XDR *, struct pmap *);
+extern bool_t xdr_pmaplist	(XDR *, struct pmaplist **);
 __END_DECLS
 
Index: cpukit/librpc/include/rpc/pmap_rmt.h
===================================================================
--- cpukit/librpc/include/rpc/pmap_rmt.h	(revision 5fd92cccfde78485c87108cf7f23f3f9a097e209)
+++ cpukit/librpc/include/rpc/pmap_rmt.h	(revision 9f4040a13b1849539679f71183c4118f015b6412)
@@ -57,6 +57,6 @@
 
 __BEGIN_DECLS
-extern bool_t xdr_rmtcall_args	__P((XDR *, struct rmtcallargs *));
-extern bool_t xdr_rmtcallres	__P((XDR *, struct rmtcallres *));
+extern bool_t xdr_rmtcall_args	(XDR *, struct rmtcallargs *);
+extern bool_t xdr_rmtcallres	(XDR *, struct rmtcallres *);
 __END_DECLS
 
Index: cpukit/librpc/include/rpc/rpc_msg.h
===================================================================
--- cpukit/librpc/include/rpc/rpc_msg.h	(revision 5fd92cccfde78485c87108cf7f23f3f9a097e209)
+++ cpukit/librpc/include/rpc/rpc_msg.h	(revision 9f4040a13b1849539679f71183c4118f015b6412)
@@ -186,5 +186,5 @@
  * 	struct rpc_msg *rmsg;
  */
-extern bool_t	xdr_replymsg	__P((XDR *, struct rpc_msg *));
+extern bool_t	xdr_replymsg(XDR *, struct rpc_msg *);
 
 /*
Index: cpukit/librpc/include/rpc/svc_auth.h
===================================================================
--- cpukit/librpc/include/rpc/svc_auth.h	(revision 5fd92cccfde78485c87108cf7f23f3f9a097e209)
+++ cpukit/librpc/include/rpc/svc_auth.h	(revision 9f4040a13b1849539679f71183c4118f015b6412)
@@ -48,8 +48,8 @@
  */
 __BEGIN_DECLS
-extern enum auth_stat _authenticate __P((struct svc_req *, struct rpc_msg *));
-extern int svc_auth_reg __P((int, enum auth_stat (*)(struct svc_req *,
-						     struct rpc_msg *)));
-extern enum auth_stat _svcauth_des __P((struct svc_req *, struct rpc_msg *));
+extern enum auth_stat _authenticate (struct svc_req *, struct rpc_msg *);
+extern int svc_auth_reg (int, enum auth_stat (*)(struct svc_req *,
+						     struct rpc_msg *));
+extern enum auth_stat _svcauth_des (struct svc_req *, struct rpc_msg *);
 __END_DECLS
 
Index: cpukit/librpc/include/rpcsvc/yp_prot.h
===================================================================
--- cpukit/librpc/include/rpcsvc/yp_prot.h	(revision 5fd92cccfde78485c87108cf7f23f3f9a097e209)
+++ cpukit/librpc/include/rpcsvc/yp_prot.h	(revision 9f4040a13b1849539679f71183c4118f015b6412)
@@ -311,18 +311,18 @@
 struct inaddr;
 __BEGIN_DECLS
-bool_t	xdr_datum __P((XDR *, datum *));
-bool_t	xdr_ypreq_key __P((XDR *, struct ypreq_key *));
-bool_t	xdr_ypreq_nokey __P((XDR *, struct ypreq_nokey *));
-bool_t	xdr_ypreq_xfr __P((XDR *, struct ypreq_xfr *));
-bool_t	xdr_ypresp_val __P((XDR *, struct ypresp_val *));
-bool_t	xdr_ypresp_key_val __P((XDR *, struct ypresp_key_val *));
-bool_t	xdr_ypbind_resp __P((XDR *, struct ypbind_resp *));
-bool_t	xdr_ypbind_setdom __P((XDR *, struct ypbind_setdom *));
-bool_t	xdr_yp_inaddr __P((XDR *, struct inaddr *));
-bool_t	xdr_ypmap_parms __P((XDR *, struct ypmap_parms *));
-bool_t	xdr_yppushresp_xfr __P((XDR *, struct yppushresp_xfr *));
-bool_t	xdr_ypresp_order __P((XDR *, struct ypresp_order *));
-bool_t	xdr_ypresp_master __P((XDR *, struct ypresp_master *));
-bool_t	xdr_ypresp_maplist __P((XDR *, struct ypresp_maplist *));
+bool_t	xdr_datum (XDR *, datum *);
+bool_t	xdr_ypreq_key (XDR *, struct ypreq_key *);
+bool_t	xdr_ypreq_nokey (XDR *, struct ypreq_nokey *);
+bool_t	xdr_ypreq_xfr (XDR *, struct ypreq_xfr *);
+bool_t	xdr_ypresp_val (XDR *, struct ypresp_val *);
+bool_t	xdr_ypresp_key_val (XDR *, struct ypresp_key_val *);
+bool_t	xdr_ypbind_resp (XDR *, struct ypbind_resp *);
+bool_t	xdr_ypbind_setdom (XDR *, struct ypbind_setdom *);
+bool_t	xdr_yp_inaddr (XDR *, struct inaddr *);
+bool_t	xdr_ypmap_parms (XDR *, struct ypmap_parms *);
+bool_t	xdr_yppushresp_xfr (XDR *, struct yppushresp_xfr *);
+bool_t	xdr_ypresp_order (XDR *, struct ypresp_order *);
+bool_t	xdr_ypresp_master (XDR *, struct ypresp_master *);
+bool_t	xdr_ypresp_maplist (XDR *, struct ypresp_maplist *);
 __END_DECLS
 
Index: cpukit/librpc/include/rpcsvc/ypclnt.h
===================================================================
--- cpukit/librpc/include/rpcsvc/ypclnt.h	(revision 5fd92cccfde78485c87108cf7f23f3f9a097e209)
+++ cpukit/librpc/include/rpcsvc/ypclnt.h	(revision 9f4040a13b1849539679f71183c4118f015b6412)
@@ -62,5 +62,5 @@
 struct ypall_callback {
 	/* return non-0 to stop getting called */
-	int (*foreach) __P((unsigned long, char *, int, char *, int, void *));
+	int (*foreach) (unsigned long, char *, int, char *, int, void *);
 	char *data;		/* opaque pointer for use of callback fn */
 };
@@ -69,24 +69,24 @@
 
 __BEGIN_DECLS
-int	yp_bind		__P((char *dom));
-int	_yp_dobind	__P((char *dom, struct dom_binding **ypdb));
-void	yp_unbind	__P((char *dom));
-int	yp_get_default_domain __P((char **domp));
-int	yp_match 	__P((char *indomain, char *inmap,
+int	yp_bind		(char *dom);
+int	_yp_dobind	(char *dom, struct dom_binding **ypdb);
+void	yp_unbind	(char *dom);
+int	yp_get_default_domain (char **domp);
+int	yp_match 	(char *indomain, char *inmap,
 			    const char *inkey, int inkeylen, char **outval,
-			    int *outvallen));
-int	yp_first 	__P((char *indomain, char *inmap,
+			    int *outvallen);
+int	yp_first 	(char *indomain, char *inmap,
 			    char **outkey, int *outkeylen, char **outval,
-			    int *outvallen));
-int	yp_next		__P((char *indomain, char *inmap,
+			    int *outvallen);
+int	yp_next		(char *indomain, char *inmap,
 			    char *inkey, int inkeylen, char **outkey,
-			    int *outkeylen, char **outval, int *outvallen));
-int	yp_master	__P((char *indomain, char *inmap, char **outname));
-int	yp_order	__P((char *indomain, char *inmap, int *outorder));
-int	yp_all		__P((char *indomain, char *inmap,
-			    struct ypall_callback *incallback));
-char *	yperr_string	__P((int incode));
-char *	ypbinderr_string __P((int incode));
-int	ypprot_err	__P((unsigned int incode));
+			    int *outkeylen, char **outval, int *outvallen);
+int	yp_master	(char *indomain, char *inmap, char **outname);
+int	yp_order	(char *indomain, char *inmap, int *outorder);
+int	yp_all		(char *indomain, char *inmap,
+			    struct ypall_callback *incallback);
+char *	yperr_string	(int incode);
+char *	ypbinderr_string (int incode);
+int	ypprot_err	(unsigned int incode);
 __END_DECLS
 
Index: cpukit/librpc/include/rpcsvc/yppasswd.x
===================================================================
--- cpukit/librpc/include/rpcsvc/yppasswd.x	(revision 5fd92cccfde78485c87108cf7f23f3f9a097e209)
+++ cpukit/librpc/include/rpcsvc/yppasswd.x	(revision 9f4040a13b1849539679f71183c4118f015b6412)
@@ -71,5 +71,5 @@
 #ifdef RPC_HDR
 %#include <sys/cdefs.h>
-%extern int _yppasswd __P(( char * , struct x_passwd * ));
+%extern int _yppasswd ( char * , struct x_passwd * );
 %#define yppasswd(x,y) _yppasswd(x,y)
 #endif
Index: cpukit/librpc/src/rpc/netnamer.c
===================================================================
--- cpukit/librpc/src/rpc/netnamer.c	(revision 5fd92cccfde78485c87108cf7f23f3f9a097e209)
+++ cpukit/librpc/src/rpc/netnamer.c	(revision 9f4040a13b1849539679f71183c4118f015b6412)
@@ -58,6 +58,6 @@
 static char    *NETIDFILE = "/etc/netid";
 
-static int getnetid __P(( char *, char * ));
-static int _getgroups __P(( char *, gid_t * ));
+static int getnetid ( char *, char * );
+static int _getgroups ( char *, gid_t * );
 
 #ifndef NGROUPS
Index: cpukit/librpc/src/rpc/svc_udp.c
===================================================================
--- cpukit/librpc/src/rpc/svc_udp.c	(revision 5fd92cccfde78485c87108cf7f23f3f9a097e209)
+++ cpukit/librpc/src/rpc/svc_udp.c	(revision 9f4040a13b1849539679f71183c4118f015b6412)
@@ -59,6 +59,6 @@
 static bool_t		svcudp_freeargs();
 static void		svcudp_destroy();
-static void		cache_set __P((SVCXPRT *, u_long));
-static int		cache_get __P((SVCXPRT *, struct rpc_msg *, char **, u_long *));
+static void		cache_set (SVCXPRT *, u_long);
+static int		cache_get (SVCXPRT *, struct rpc_msg *, char **, u_long *);
 
 static struct xp_ops svcudp_op = {
Index: cpukit/librpc/src/xdr/xdr_rec.c
===================================================================
--- cpukit/librpc/src/xdr/xdr_rec.c	(revision 5fd92cccfde78485c87108cf7f23f3f9a097e209)
+++ cpukit/librpc/src/xdr/xdr_rec.c	(revision 9f4040a13b1849539679f71183c4118f015b6412)
@@ -105,5 +105,5 @@
 	 * out-goung bits
 	 */
-	int (*writeit) __P((caddr_t, caddr_t, int));
+	int (*writeit) (caddr_t, caddr_t, int);
 	caddr_t out_base;	/* output buffer (points to frag header) */
 	caddr_t out_finger;	/* next output position */
@@ -114,5 +114,5 @@
 	 * in-coming bits
 	 */
-	int (*readit) __P((caddr_t, caddr_t, int));
+	int (*readit) (caddr_t, caddr_t, int);
 	u_long in_size;	/* fixed size of the input buffer */
 	caddr_t in_base;
